#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Library for reading .pst files
Summary(pl.UTF-8):	Biblioteka do czytania plików .pst
Name:		libpst
Version:	0.6.63
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	http://www.five-ten-sg.com/libpst/packages/%{name}-%{version}.tar.gz
# Source0-md5:	cf047faf8c671a0a074a65767e7d2bd7
URL:		http://www.five-ten-sg.com/libpst/
BuildRequires:	ImageMagick
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	boost-python-devel
BuildRequires:	gd-devel
BuildRequires:	libgsf-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for reading PST (MS Outlook Personal Folders) files.

%description -l pl.UTF-8
Biblioteka do czytania plików .pst.

%package devel
Summary:	Header files for libpst library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libpst
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libpst library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libpst.

%package static
Summary:	Static libpst library
Summary(pl.UTF-8):	Statyczna biblioteka libpst
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libpst library.

%description static -l pl.UTF-8
Statyczna biblioteka libpst.

%package tools
Summary:	Utilities for converting Microsoft Outlook .pst files
Summary(pl.UTF-8):	Narzędzia do konwertowania plików .pst Microsoft Outlooka
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Requires:	ImageMagick
Obsoletes:	readpst

%description tools
Utilities for converting Microsoft Outlook .pst files.

%description tools -l pl.UTF-8
Narzędzia do konwertowania plików .pst Microsoft Outlooka.

%package -n python-libpst
Summary:	libpst Python bindings
Summary(pl.UTF-8):	Wiązania libpst dla Pythona
Group:		Development/Languages/Python

%description -n python-libpst
libpst Python bindings.

%description -n python-libpst -l pl.UTF-8
Wiązania libpst dla Pythona.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	--enable-dii \
	--enable-libpst-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/_libpst.{a,la}
# packaged as %doc (split into base and -devel)
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libpst.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpst.so.4

%files devel
%defattr(644,root,root,755)
%doc html/*.html html/devel
%attr(755,root,root) %{_libdir}/libpst.so
%{_libdir}/libpst.la
%{_includedir}/libpst-4
%{_pkgconfigdir}/libpst.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libpst.a
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lspst
%attr(755,root,root) %{_bindir}/nick2ldif
%attr(755,root,root) %{_bindir}/pst2dii
%attr(755,root,root) %{_bindir}/pst2ldif
%attr(755,root,root) %{_bindir}/readpst
%{_mandir}/man1/lspst.1*
%{_mandir}/man1/pst2dii.1*
%{_mandir}/man1/pst2ldif.1*
%{_mandir}/man1/readpst.1*
%{_mandir}/man5/outlook.pst.5*

%files -n python-libpst
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_libpst.so
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libpst.git;a=log;h=master

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 6977669
- rebuild with boost 1.56.0
- release 2 (by relup.sh)

* Mon Mar 10 2014 Jakub Bogusz <qboosh@pld-linux.org> e9c3820
- updated to 0.6.63 (includes buffer overrun fix)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 3407227
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

* Tue Sep 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 07a2a1e
- updated to 0.6.61

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> f812676
- release 4 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 0a401fa
- release 3 (by relup.sh)

* Thu Jul 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 321a9f8
- release 2 (by relup.sh)

* Mon Jun 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 856e835
- updated to 0.6.60

* Tue May 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 54afb24
- clean docdir before doc stage

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 762b0f9
- updated to 0.6.59

* Sat Jan 19 2013 Jakub Bogusz <qboosh@pld-linux.org> c39e6df
- updated to 0.6.58
- removed obsolete m4 patch

* Sun Jan 06 2013 Jakub Bogusz <qboosh@pld-linux.org> b937826
- updated to 0.6.57

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 505a1bc
- release 2 (by relup.sh)

* Fri Aug 10 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9834df6
- updated to 0.6.55

* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> 9ebd005
- Rebuild with boost 1.50
Release 3

* Sun Mar 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d0f19a3
- release 2

* Thu Dec 29 2011 Jakub Bogusz <qboosh@pld-linux.org> 35f6d1e
- updated to 0.6.54

* Fri Jul 15 2011 marti <marti@pld-linux.org> 555075d
- up to 0.6.53

* Wed May 25 2011 marti <marti@pld-linux.org> 43c5bda
- up to 0.6.52

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 558bf12
- package NEWS and nick2ldif tool

